Subject: Re: bug#13524: Improving user experience for non-recursive builds

From: Bert Wesarg <[email-masked]>
Date: Fri, 1 Feb 2013 16:18:02 +0100

Hi all,

On Mon, Jan 28, 2013 at 12:38 AM, Peter Rosin <[email-masked]> wrote:
> Hi Stefano,
>
> On 2013-01-27 20:21, Stefano Lattarini wrote:
>>> This time with documentation and a NEWS entry. I also fixed the case
>>> of including something above the current base Makefile.am with a
>>> relative path, e.g.:
>>>
>>>      include ../top.mk
>>>
>>> That change shaved a couple of more lines. Neat.
>>>
>>> I also rebased it, so now it is against master.
>>>
>> Thanks, it seems nice and good.  I'm doing some testsuite enhancements,
>> and then I have some proposals for further tweaks, but all of those
>> should be for follow-up patches.  Will you allow me some days to prepare
>> a follow-up patch series for further discussion?
>
> Sure, take your time, I feel like I'm done. For about the fifth
> time :-) or something like that. Besides, the patch will not be of
> all that much use to me until it lands in a released version anyway.

while I didn't try the current patch out. I would like to describe in
short the situation where one of our projects build system is in:
Sure, we use a non-recursive build. But we use the same sources in one
package by two sub-configures to build different targets.

Our makefiles which we include in the top-level Makefile.am look like
this (we name them 'Makefile.inc.am):

src/Makefile.inc.am:

bin_PROGRAM = foo
foo_SOURCES = ../src/foo.c

and in the top-level Makefile.am:

build-1/Makefile.am:

include ../src/Makefile.inc.am

So, using this patch, we would change the src/Makefile.inc.am to:

bin_PROGRAM = foo
foo_SOURCES = &{D}&/foo.c

Right?

Thanks.
Bert

> Cheers,
> Peter